%global         pypi_name cli_helpers

Summary:        Python helpers for common CLI tasks
Name:           python-cli-helpers
Version:        2.3.0
Release:    	3%{?dist}
License:        BSD
URL:            https://github.com/dbcli/cli_helpers
Source0:        https://github.com/dbcli/cli_helpers/archive/v%{version}/cli_helpers-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-configobj
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-setuptools
BuildRequires:  python3-tabulate
BuildRequires:  python3-terminaltables
BuildRequires:  python3-wcwidth
%global _description\
CLI Helpers is a Python package that makes it easy to perform common\
tasks when building command-line apps. Its a helper library for\
command-line interfaces.
%description %_description

%package -n     python3-cli-helpers
Summary:        %{summary}
Requires:       python3-configobj >= 5.0.5
Requires:       python3-pygments >= 1.6
Requires:       python3-tabulate >= 0.8.2
Requires:       python3-terminaltables >= 3.0.0
Requires:       python3-wcwidth
%description -n python3-cli-helpers %_description

%package -n python3-cli-helpers+styles
Summary: Subpackage for python3-cli-helpers with extra styles dependencies
Requires: python3-cli-helpers

%description -n python3-cli-helpers+styles
This is the subpackage for python3-cli-helpers with extra styles dependencies.

%files -n python3-cli-helpers+styles
%ghost %{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
exit 0
PYTHONPATH=build/lib/ py.test-3

%files -n python3-cli-helpers
%license LICENSE
%doc AUTHORS CHANGELOG README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Tue Aug 27 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.0-1
- initial build
